<?php
/*
Plugin Name: Delete City
Plugin URI: http://jeffcrouse.info/projects/delete-city
Description: DeleteCity saves videos from YouTube deletion by caching a shitload of them on your server, then checking back periodically to see if they have been taken down.
Version: 0.3
Author: Jeff Crouse
Author URI: http://jeffcrouse.info
License: GPL2

Copyright 2011  Jeff Crouse  (email : jeff@crouse.cc)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo "Hi there!  I'm just a plugin, not much I can do when called directly.";
	exit;
}

//error_reporting(E_ALL ^ E_STRICT);
require_once("DeleteCity.class.php");

	

// --------------------------------------------------------------------------
$dc = new DeleteCity();
add_action('init', 								array($dc, 'init') );
add_action('wp_head', 							array($dc, 'header') );
add_action('admin_notices', 					array($dc, 'warnings') );
add_filter('cron_schedules', 					array($dc, 'cron_definer') );  
add_action('runcache_function_hook', 			array($dc, 'runcache') );
add_action('post_videos_function_hook', 		array($dc, 'post_removed_videos') );
add_action('do_feed_deletecity', 				array($dc, 'feed'), 10, 1);
add_filter('the_content', 						array($dc, 'the_content_filter'), 20);
register_activation_hook(__FILE__, 				array($dc, 'activate') );
register_deactivation_hook(__FILE__, 			array($dc, 'deactivate') );
if ( is_admin() )
{
	add_action('wp_footer', 					array($dc, 'footer') );
	add_action('admin_menu', 					array($dc, 'add_admin_menus') );
	add_action('wp_ajax_dc_load_player',		array($dc, 'load_video_player') );
	add_action('wp_ajax_dc_get_vids', 			array($dc, 'get_vids') );
	add_action('wp_ajax_dc_get_status', 		array($dc, 'get_status') );
}	

?>