<?php
if ( !function_exists( 'add_action' ) ) {
	echo "Hi there!  I'm just a plugin, not much I can do when called directly.";
	exit;
}
header('Content-Type: ' . feed_content_type('rss-http') . '; charset=' . get_option('blog_charset'), true);
echo '<?xml version="1.0" encoding="'.get_option('blog_charset').'"?'.">\n";

$podcast_title = "DeleteCity: ".get_bloginfo('name');
$url = get_bloginfo('url');
$podcast_description = "Videos saved by DeleteCity on ".get_bloginfo('name');
$author_name = get_bloginfo('name');
$author_email = get_bloginfo('admin_email');
$image = "{$this->plugin_url}dc.gif";
$feed_url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
?>
<rss version="2.0"
	xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" 
	xmlns:atom="http://www.w3.org/2005/Atom" 
	xml:lang="<?php echo get_bloginfo('language'); ?>" 
	<?php do_action('rss2_ns'); ?> >
<channel>
	<title><?php echo $podcast_title; ?></title>
	<atom:link href="<?php echo $feed_url; ?>" rel="self" type="application/rss+xml" />
	<link><?php echo $url; ?></link>
	<description><?php echo $podcast_description; ?></description>
	<generator>DeleteCity</generator>
	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
	<language><?php echo get_option('rss_language'); ?></language>
	<copyright></copyright>
	<itunes:image href="<?php echo $image; ?>" />
	<image>
		<url><?php echo $image; ?></url>
		<title><?php echo $podcast_title; ?></title>
		<link><?php echo $url; ?></link>
	</image>
	<itunes:summary><?php echo $podcast_description; ?></itunes:summary>
	<itunes:subtitle><?php echo $podcast_description; ?></itunes:subtitle>
	<itunes:author><?php echo $author_name; ?></itunes:author>
	<itunes:owner>
		<itunes:name><?php echo $author_name; ?></itunes:name>
		<itunes:email><?php echo $author_email; ?></itunes:email>
	</itunes:owner>
	<itunes:explicit>yes</itunes:explicit>
	<itunes:category text="Technology">
		<itunes:category text="Gadgets"/>
	</itunes:category>
	<itunes:category text="TV &amp; Film"/>

		<?php
		$attachments = get_posts(array('post_type'=>'attachment', 'meta_key'=>'youtube_id', 'numberposts'=>50));
		if ($attachments) 
		foreach ( $attachments as $post ):
		$title = $post->post_title;
		$path = get_attached_file( $post->ID, true );
		$ext = pathinfo($path, PATHINFO_EXTENSION);
		$filesize = filesize($path);
		$author = get_post_meta($post->ID, 'youtube_author', true); 
		$url = wp_get_attachment_url($post->ID);
		$img = str_replace($ext, "jpg", $url);
		$youtube_id = get_post_meta($post->ID, 'youtube_id', true);
		$link = get_attachment_link( $post->ID );
		$duration = Video::get_duration( $path );
		$date_added = date('r', strtotime($post->post_date));
		?>

		<item>
			<title><?php echo utf8_encode(htmlspecialchars($title, ENT_COMPAT, "UTF-8")); ?></title>
			<itunes:subtitle></itunes:subtitle>
			<itunes:summary><![CDATA[ <?php echo $title; ?> ]]></itunes:summary>
			<description><![CDATA[ 
				<a href="<?php echo $link; ?>">
				<?php echo $title; ?>
				<img src="<?php echo $img; ?>" />
				</a>
				<b>by:</b><a href="http://www.youtube.com/user/<?php echo $author; ?>" target="_blank"><?php echo $author; ?></a>
				<p>original URL: <a href="http://www.youtube.com/watch?v=<?php echo $youtube_id; ?>" />http://www.youtube.com/watch?v=<?php echo $youtube_id; ?></a></p>
			]]></description>
			<link><?php echo $url; ?></link>
			<enclosure url="<?php echo $url; ?>" length="<?php echo $filesize; ?>" type="video/mov" />
			<guid><?php echo $url; ?></guid>
			<?php if($duration): ?>
			<itunes:duration><?php echo $duration; ?></itunes:duration>
			<?php endif; ?>
			<author><?php echo $author; ?>@youtube.com (<?php echo $author; ?>)</author>
			<pubDate><?php echo $date_added; ?></pubDate>
		</item>

		<?php endforeach; ?>
	</channel>
</rss>